## CORBA Interface IHostSystem

The server on which this SAS Workspace is running.

### Definition

CORBA Module SAS

### IHostSystem Description

SAS Workspaces may be local or remote. When remote, they may run on many different types of servers such as Windows NT, UNIX and IBM OS/390. This component gives access to the server on which this SAS Workspace is running. It provides information about hardware and system software. In the future, it will also support extensions that vary based on the type of host.

CORBA Definitions
enum SoftwareInfoIndex | Provides constants that identify slots in an array of system information strings.
enum HardwareInfoIndex | Named constants for slots in an array of processor information strings.
attribute Parent | The parent of this component.
attribute Extensions | Host-specific extensions to the SAS Workspace. May be unimplemented.
attribute DNSName | TCP/IP host name of the server.
method GetInfo | Get information about the host system.
method GetEnv | Get a host environment variable.
method ServerTime | Get Greenwich Mean Time and server local time.

Java Classes
IHostSystemHelper | Used to manipulate the IHostSystem type
IHostSystemHolder | Used to process the IHostSystem type as an out parameter
SoftwareInfoIndex | Provides constants that identify slots in an array of system information strings.
SoftwareInfoIndexHelper | Used to manipulate the SoftwareInfoIndex type
SoftwareInfoIndexHolder | Used to process the SoftwareInfoIndex type as an out parameter
SoftwareInfoIndexSeqHelper | Used to manipulate one dimensional arrays of the SoftwareInfoIndex type
SoftwareInfoIndexSeqHolder | Used to process one dimensional arrays of the SoftwareInfoIndex type as an out parameter
VariableArray2dOfSoftwareInfoIndexHelper | Used to manipulate two dimensional arrays of the SoftwareInfoIndex type
VariableArray2dOfSoftwareInfoIndexHolder | Used to process two dimensional arrays of the SoftwareInfoIndex type
HardwareInfoIndex | Named constants for slots in an array of processor information strings.
HardwareInfoIndexHelper | Used to manipulate the HardwareInfoIndex type
HardwareInfoIndexHolder | Used to process the HardwareInfoIndex type as an out parameter
HardwareInfoIndexSeqHelper | Used to manipulate one dimensional arrays of the HardwareInfoIndex type
HardwareInfoIndexSeqHolder | Used to process one dimensional arrays of the HardwareInfoIndex type as an out parameter
VariableArray2dOfHardwareInfoIndexHelper | Used to manipulate two dimensional arrays of the HardwareInfoIndex type
VariableArray2dOfHardwareInfoIndexHolder | Used to process two dimensional arrays of the HardwareInfoIndex type

Java Interfaces
IHostSystem | The server on which this SAS Workspace is running.

Java Interface IHostSystem

The server on which this SAS Workspace is running.

Package com.sas.iom.SAS

IHostSystem Description
SAS Workspaces may be local or remote. When remote, they may run on many different types of servers such as Windows NT, UNIX and IBM OS/390. This component gives access to the server on which this SAS Workspace is running. It provides information about hardware and system software. In the future, it will also support extensions that vary based on the type of host.

`public interface IHostSystem
extends org.omg.CORBA.Object`

Method Summary

void | GetInfo ( StringSeqHolder softwareInfo , VariableArray2dOfStringHolder hardwareInfo ) throws ( GenericError ); Get information about the host system.
boolean | GetEnv ( java.lang.String variable , org.omg.CORBA.StringHolder value ) throws ( GenericError ); Get a host environment variable.
void | ServerTime ( org.omg.CORBA.DateTimeHolder GMT , org.omg.CORBA.DateTimeHolder serverLocal ) throws ( GenericError ); Get Greenwich Mean Time and server local time.

Java Class IHostSystemHelper

public class IHostSystemHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IHostSystem type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystemHelper

Java Class IHostSystemHolder

public class IHostSystemHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IHostSystem type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystemHolder

CORBA Enum SoftwareInfoIndex

Provides constants that identify slots in an array of system information strings.

Description
This enumeration provides named constants for the slots in the GetInfo::softwareInfo array parameter that is returned by the GetInfo method.

Usage

Member | Description
--- | ---
SoftwareInfoIndexSASVersion |
SoftwareInfoIndexSASVersionLong | This slot describes the version number of the SAS Supervisor. This version number identifies both the release and the particular build of SAS that is running on the server. Build version information is helpful for problem determination by SAS Technical Support. Example: "8.00.00P1D02298" The SYSVLONG macro is the SAS language equivalent.
SoftwareInfoIndexOSName | This slot contains a specific operating system name for the server. Example: "OS/390" The SYSSCPL macro is the SAS language equivalent.
SoftwareInfoIndexOSFamily | This slot contains a generic operating system name for the server. Example: "OS" The SYSSCP macro is the SAS language equivalent.
SoftwareInfoIndexOSVersion | The string in this slot is a version number for the operating system. The format of the string depends on the operating system. Example: "V02R04M00"
SoftwareInfoIndexJobOrProcessID | This slot contains an operating system-specific identifier for the process, job or address-space in which SAS is executing. Example: "APPCM3" The SYSJOBID macro is the SAS language equivalent.
SoftwareInfoIndexServerUserID | This slot contains the operating system user name under which the SAS server is executing. Example: "USER05" The SYSUSERID macro is the SAS language equivalent.
SoftwareInfoIndexClientUserID | The operating system user name of the client.
SoftwareInfoIndexNumIndices | The number of slots in the GetInfo::softwareInfo array output parameter.

Java Class SoftwareInfoIndex

public class SoftwareInfoIndex

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.SoftwareInfoIndex

Java Class SoftwareInfoIndexHelper

public class SoftwareInfoIndexHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the SoftwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.SoftwareInfoIndexHelper

Java Class SoftwareInfoIndexHolder

public class SoftwareInfoIndexHolder

Description
Implementing class for methods (_read, _write, _type) used to process the SoftwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.SoftwareInfoIndexHolder

Java Class SoftwareInfoIndexSeqHelper

public class SoftwareInfoIndexSeqHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate singly dimensioned arrays of SoftwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.SoftwareInfoIndexSeqHelper

Java Class SoftwareInfoIndexSeqHolder

public class SoftwareInfoIndexSeqHolder

Description
Implementing class for methods (_read, _write, _type) used to process singly dimensioned arrays of the SoftwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.SoftwareInfoIndexSeqHolder

Java Class VariableArray2dOfSoftwareInfoIndexHelper

public class VariableArray2dOfSoftwareInfoIndexHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate doubly dimensioned arrays of SoftwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.VariableArray2dOfSoftwareInfoIndexHelper

Java Class VariableArray2dOfSoftwareInfoIndexHolder

public class VariableArray2dOfSoftwareInfoIndexHolder

Description
Implementing class for methods (_read, _write, _type) used to process doubly dimensioned arrays of the SoftwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.VariableArray2dOfSoftwareInfoIndexHolder

CORBA Enum HardwareInfoIndex

Named constants for slots in an array of processor information strings.

Description
This enumeration provides named constants for the columns in the GetInfo::softwareInfo two-dimensional array parameter that is returned by the GetInfo call. The rows represent the processors of the host machine on which SAS is executing.

Usage

Member | Description
--- | ---
HardwareInfoIndexModelName | This column contains the hardware model name of each processor in the server computer. If the server has multiple processors, they are very likely to have the same model name. The format of this name will vary by hardware vendor. Example: IBM
HardwareInfoIndexModelNumber | This column contains the hardware model identifier for each processor in the server computer. If the server has multiple processors, they are very likely to have the same model number. The format of this identifier will vary by hardware vendor. Example: 9672
HardwareInfoIndexSerialNumber | This column contains the hardware serial number for each processor in the the server computer. The format of this identifier will vary by hardware vendor. Example: 001111
HardwareInfoIndexNumIndices | The number of columns in the GetInfo::hardwareInfo array output parameter.

Java Class HardwareInfoIndex

public class HardwareInfoIndex

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.HardwareInfoIndex

Java Class HardwareInfoIndexHelper

public class HardwareInfoIndexHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the HardwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.HardwareInfoIndexHelper

Java Class HardwareInfoIndexHolder

public class HardwareInfoIndexHolder

Description
Implementing class for methods (_read, _write, _type) used to process the HardwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.HardwareInfoIndexHolder

Java Class HardwareInfoIndexSeqHelper

public class HardwareInfoIndexSeqHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate singly dimensioned arrays of HardwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.HardwareInfoIndexSeqHelper

Java Class HardwareInfoIndexSeqHolder

public class HardwareInfoIndexSeqHolder

Description
Implementing class for methods (_read, _write, _type) used to process singly dimensioned arrays of the HardwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.HardwareInfoIndexSeqHolder

Java Class VariableArray2dOfHardwareInfoIndexHelper

public class VariableArray2dOfHardwareInfoIndexHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate doubly dimensioned arrays of HardwareInfoIndex type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.VariableArray2dOfHardwareInfoIndexHelper

Java Class VariableArray2dOfHardwareInfoIndexHolder

public class VariableArray2dOfHardwareInfoIndexHolder

Description
Implementing class for methods (_read, _write, _type) used to process doubly dimensioned arrays of the HardwareInfoIndex type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IHostSystem_1_0Package.VariableArray2dOfHardwareInfoIndexHolder

CORBA Attribute Parent (readonly)

The parent of this component.

Description
The Utilities component that is the parent of this component.

Usage

Java Method Parent

    public IUtilities Parent ();

CORBA Attribute Extensions (readonly)

Host-specific extensions to the SAS Workspace. May be unimplemented.

Description
This attribute provides access to host-specific interfaces on the server. Accessing this attribute will return an "unimplemented" failure if a particular host does not have any extensions.

Usage

Java Method Extensions

    public Object Extensions ();

CORBA Attribute DNSName (readonly)

TCP/IP host name of the server.

Description
The TCP/IP Domain Name System host name of the server.

Example: marketing.xyz.com

Usage

Java Method DNSName

    public java.lang.String DNSName ();

CORBA Method GetInfo

Get information about the host system.

Description
This operation returns details about the host on which the SAS Workspace is running. It returns two arrays of strings that describe the server.

Usage

Java Method GetInfo

`void` GetInfo (

        StringSeqHolder softwareInfo ,
        VariableArray2dOfStringHolder hardwareInfo
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
softwareInfo | out | StringSeqHolder | An array of strings containing information about the server on which the Workspace is running. If the information is not available or meaningful for a given host, an empty string is returned. The SoftwareInfoIndex contains an enumeration constant for the index of each slot in the array.
hardwareInfo | out | VariableArray2dOfStringHolder | A two dimensional array of strings. The rows represent processors in the server configuration. The columns represent information fields describing those processors. The HardwareInfoIndex contains an enumeration constant for the index of each column. When the information is not available or meaningful, an empty string is returned.

Example

CORBA Method GetEnv

Get a host environment variable.

Description
Fetch value of host environment variable. See the host documentation for the meaning of "environment variable" on each type of host.

Usage

Java Method GetEnv

`boolean` GetEnv (

        java.lang.String variable ,
        org.omg.CORBA.StringHolder value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
variable | in | java.lang.String | The environment variable name.
value | out | org.omg.CORBA.StringHolder | If found, the variable's value. If not found, an empty string.

Example

CORBA Method ServerTime

Get Greenwich Mean Time and server local time.

Description

Usage

Java Method ServerTime

`void` ServerTime (

        org.omg.CORBA.DateTimeHolder GMT ,
        org.omg.CORBA.DateTimeHolder serverLocal
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
GMT | out | org.omg.CORBA.DateTimeHolder | Greenwich Mean Time
serverLocal | out | org.omg.CORBA.DateTimeHolder | Server local time

Example